<?php
defined('PF_VERSION') OR exit('Access denied');
$current = isset($_GET['current']) ? (int) $_GET['current'] : '';
?>
<div class="row pull-right btnTop">
    <div class="col-md-12">
        <?php
        add_toolbar_button(form_button("<i class='fa fa-plus'></i> " . __('New Post', 'post'), array('onclick' => "window.location='" . admin_url('act=create') . "'", 'class' => 'btn btn-primary')));
        ?>
    </div>
</div><!--end button-->
<div class="hidden" id="messageErrorJS">
    <ul>
        <li class="confirmDelete"><?php echo __('Are you sure to delete this post?', 'post'); ?></li>
        <li class="btnOK"><?php echo __('Yes', 'post'); ?></li>
        <li class="btnCancel"><?php echo __('No', 'post'); ?></li>
        <li class="notChecked"><?php echo __('No post are selected', 'post'); ?></li>
        <li class="confirmBulkAction"><?php echo __('Are you sure to perform this action?', 'post'); ?></li>
        <li class="errorSearch"><?php echo __('Please enter the search conditions', 'post'); ?></li>
    </ul>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo __('Posts', 'post'); ?></h3>
            </div>
            <div class="panel-body">
                <?php require_once ABSPATH . '/includes/common/plugin/views/alert.php'; ?>
                <div class="row margin-bottom-20">
                    <div class="col-sm-7">
                        <ul class="list-unstyled topControl">
                            <li id="bulkAction">
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                        <?php echo __('Select Action ', 'post'); ?> <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li data-action="3"><a href="#"><?php echo __('Delete', 'post'); ?></a></li>
                                        <li data-action="1"><a href="#"><?php echo __('Publish', 'post'); ?></a></li>
                                        <li data-action="0"><a href="#"><?php echo __('Unpublish', 'post'); ?></a></li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-5 miniSearch">
                        <div class="input-group">
                            <input type="text" class="form-control" name="kw" value="<?php echo get_value_search(); ?>" placeholder="<?php echo __('Please enter the search conditions', 'post'); ?>">
                            <span class="input-group-btn">
                                <button class="btn btn-default btn-flat" type="button" id="btnMiniSearch">
                                    <i class="fa fa-search"></i> <?php echo __('Search', 'post'); ?>
                                </button>
                                <a class="btn btn-default btn-flat" href="<?php echo admin_url('admin-page=post', false); ?>">
                                    <i class="fa fa-times-circle"></i>
                                </a>
                            </span>
                        </div><!-- /input-group -->
                    </div><!--end #search-->
                </div>

                <div class="row margin-bottom-10">
                    <div class="col-md-6">
                        <ul class="list-unstyled filer">
                            <li class="filterByStatus">                        
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                                        <?php printf(__('%s', 'post'), show_status_filter()); ?> <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?php echo admin_url('admin-page=post&sub_page=post', false); ?>"><?php echo __('All', 'post'); ?></a></li>
                                        <li><a href="<?php echo admin_url('admin-page=post&sub_page=post&status=1', false); ?>"><?php echo __('Published', 'post'); ?></a></li>
                                        <li><a href="<?php echo admin_url('admin-page=post&sub_page=post&status=2', false); ?>"><?php echo __('Unpublished', 'post'); ?></a></li>
                                    </ul>
                                </div>
                            </li>
                            
                            <li class="filterByCategory" data-id="<?php echo $category_id; ?>">                        
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                                        <span class="categoryName"></span> <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li data-id="0"><a href="<?php echo admin_url('admin-page=post&sub_page=post', false); ?>"><?php echo __('All Category', 'post'); ?></a></li>
                                        <?php
                                        foreach($categories as $category):
                                        ?>
                                        <li data-id="<?php echo $category[0] ?>"><a href="<?php echo admin_url('admin-page=post&sub_page=post&category='.$category[0], false); ?>"><?php echo e($category[1]); ?></a></li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-6">
                        <div class="pull-right">
                            <?php echo $pagination->short_page_link(); ?>
                        </div>
                    </div>
                </div><!--end row-->

                <form method="post" role="form" action="<?php echo admin_url('&act=bulk_action'); ?>">
                    <input type="hidden" value="1" name="action"/>
                    <input type="hidden" value="<?php echo $current ?>" name="current"/>
                    <table class="bootstrap-table" id="listComments">
                        <tr>
                            <th data-fixed="left">
                                <input type="checkbox" id="checkAll"/>
                            </th>
                            <th class="text-left"><?php echo __('Title', 'post'); ?></th>
                            <th style="width: 200px"><?php echo __('Category', 'post'); ?></th>
                            <th style="width: 140px"><?php echo __('Created date', 'post'); ?></th>
                            <th style="width: 100px"><?php echo __('Status', 'post'); ?></th>
                            <th data-fixed="right"><?php echo __('Actions', 'post'); ?></th>
                        </tr>
                        <?php
                        if (isset($posts) && !empty($posts)):
                            foreach ($posts as $post):
                                $type = $post->post_status == 1 ? 2 : 1;
                                $change = true;
                                if (is_author()) {
                                    if (current_user('user-id') != $post->post_author) {
                                        $change = false;
                                    }
                                } elseif (is_contributor()) {
                                    $change = false;
                                }
                                $token = $change || $post->post_author ? Pf_Plugin_CSRF::token("{$post->id}") : '';
                                $url_edit = $change === true || $post->post_author == current_user('user-id')  ? admin_url("admin-page=post&sub_page=post&act=edit&id={$post->id}&current={$current}&token={$token}", false) : '#'; ?>
                                <tr>
                                    <td>
                                        <input type="checkbox" name="id[]" class="itemCheckBox" value="<?php echo $post->id; ?>"/>
                                        <input type="hidden" name="<?php echo 'token[' . $post->id . ']' ?>" value="<?php echo $token; ?>" />
                                    </td>
                                    <td>
                                        <?php echo e($post->post_title); ?>
                                    </td>
                                    <td>
                                        <?php echo e($post->category_name); ?>
                                    </td>
                                    <td>
                                        <?php echo convert_date($post->post_created_date, get_configuration('short_date')); ?>
                                    </td>
                                    <td>
                                        <?php
                                        $url = $change ? admin_url("admin-page=post&sub_page=post&act=status&id={$post->id}&type=$type&current={$current}&token={$token}") : '#';
                                        echo show_status($url, $post->post_status);
                                        ?>
                                    </td>
                                    <td>
                                        <a class="btn btn-info btn-xs" href="<?php echo $url_edit; ?>" title="<?php echo __('Edit post', 'post'); ?>"><i class="fa fa-edit"></i></a>
                                        <a class="btn btn-danger btn-xs confirmationDelete" href="<?php echo $change === true || $post->post_author == current_user('user-id') ? admin_url("admin-page=post&sub_page=post&act=delete&id={$post->id}&token={$token}", false) : '#'; ?>" title="<?php echo __('Delete post', 'post'); ?>"><i class="fa fa-trash-o"></i></a>
                                    </td>
                                </tr>
                                <?php
                            endforeach;
                        endif;
                        ?>
                    </table>
                </form>
            </div><!---end .panel-body-->
            <div class="panel-footer">
                <div class="row">
                    <div class="col-md-6">
                        <?php echo $pagination->page_lable(); ?>
                    </div>
                    <div class="col-md-6">
                        <div class="pull-right">
                            <?php echo $pagination->page_links($url . '&'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="hidden" id="control-clone">
    <div class="alert alert-block">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <div class="bodyMessage">

        </div>
    </div>
</div>