<?php
defined('PF_VERSION') OR exit('Access denied');
$current = isset($_GET['current']) ? (int)$_GET['current'] : '';
?>
<div class="row pull-right btnTop">
    <div class="col-md-12">
        <?php
        add_toolbar_button(form_button("<i class='fa fa-plus'></i> " . __('New Contact Form', 'contactform'), array('onclick' => "window.location='" . admin_url('act=create') . "'", 'class' => 'btn btn-primary')));
        ?>
    </div>
</div><!--end button-->

<div class="hidden" id="messageErrorJS">
    <ul>
        <li class="confirmDelete"><?php echo __('Are you sure to delete this item?', 'contactform'); ?></li>
        <li class="notChecked"><?php echo __('No item are selected', 'contactform'); ?></li>
        <li class="confirmBulkAction"><?php echo __('Are you sure to perform this action?', 'contactform'); ?></li>
        <li class="errorSearch"><?php echo __('Please enter a search term', 'contactform'); ?></li>
    </ul>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo __('Contact Forms', 'contactform'); ?></h3>
            </div>
            <div class="panel-body">
                <?php require_once ABSPATH . '/includes/common/plugin/views/alert.php'; ?>
                <div class="row margin-bottom-20">
                    <div class="col-sm-7">
                        <ul class="list-unstyled topControl">
                            <li id="bulkAction">
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                        <?php echo __('Select Action ', 'contactform'); ?> <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li data-action="3"><a href="#"><?php echo __('Delete', 'contactform'); ?></a></li>
                                        <li data-action="1"><a href="#"><?php echo __('Publish', 'contactform'); ?></a></li>
                                        <li data-action="0"><a href="#"><?php echo __('Unpublish', 'contactform'); ?></a></li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-5 miniSearch">
                        <div class="input-group">
                            <input type="text" class="form-control" name="kw" value="<?php echo get_value_search(); ?>" placeholder="<?php echo __('Please enter the search conditions', 'contactform'); ?>">
                            <span class="input-group-btn">
                                <button class="btn btn-default btn-flat" type="button" id="btnMiniSearch">
                                    <i class="fa fa-search"></i> <?php echo __('Search', 'contactform'); ?>
                                </button>
                                <a class="btn btn-default btn-flat" href="<?php echo admin_url('admin-page=contact-form', false); ?>">
                                    <i class="fa fa-times-circle"></i>
                                </a>
                            </span>
                        </div><!-- /input-group -->
                    </div><!--end #search-->
                </div>

                <div class="row margin-bottom-10">
                    <div class="col-md-6">
                        <ul class="list-unstyled filer">
                            <li class="filterByStatus">                        
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                                        <?php printf(__('%s', 'contactform'), show_status_filter()); ?> <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="<?php echo admin_url('admin-page=contact-form', false); ?>"><?php echo __('All', 'contactform'); ?></a></li>
                                        <li><a href="<?php echo admin_url('admin-page=contact-form&status=1', false); ?>"><?php echo __('Published', 'contactform'); ?></a></li>
                                        <li><a href="<?php echo admin_url('admin-page=contact-form&status=2', false); ?>"><?php echo __('Unpublished', 'contactform'); ?></a></li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-6">
                        <div class="pull-right">
                            <?php echo $pagination->short_page_link(); ?>
                        </div>
                    </div>
                </div><!--end row-->

                <form method="post" role="form" action="<?php echo admin_url('&act=bulk_action'); ?>">
                    <input type="hidden" value="1" name="action"/>
                    <input type="hidden" value="<?php echo $current ?>" name="current"/>
                    <table class="bootstrap-table">
                        <tr>
                            <th data-fixed="left" style="width:30px;">
                                <input type="checkbox" id="checkAll"/>
                            </th>
                            <th><?php echo __('Title', 'contactform'); ?></th>
                            <th style="width: 240px;"><?php echo __('Shortcode', 'contactform'); ?></th>
                            <th style="width: 100px;"><?php echo __('Status', 'contactform'); ?></th>
                            <th data-fixed="right"><?php echo __('Actions', 'contactform'); ?></th>
                        </tr>
                        <?php
                        if (isset($contactforms) && is_array($contactforms)):
                            foreach ($contactforms as $id => $contactform):
                                $type = isset($contactform['status']) && $contactform['status'] == 1 ? 2 : 1;
                                ?> 
                                <tr>
                                    <td>
                                        <input type="checkbox" name="id[]" class="itemCheckBox" value="<?php echo $id; ?>"/>
                                    </td>
                                    <td class="contactformContent">
                                        <a href="<?php echo admin_url("admin-page=contact-form&act=edit&id={$id}$current_param", false); ?>"><?php echo e($contactform['title']); ?></a>
                                    </td>
                                    <td>
                                        <?php echo "{pf:contactform id={$id}}" ?>
                                    </td>
                                    <td>
                                        <?php echo show_status(admin_url("admin-page=contact-form&act=status&id={$id}&type=$type&current={$current}", false), $contactform['status']); ?>
                                    </td>
                                    <td>
                                        <a class="btn btn-info btn-xs" href="<?php echo admin_url("admin-page=contact-form&act=edit&id={$id}$current_param", false); ?>" title="<?php echo __('Edit contact form', 'contactform'); ?>"><i class="fa fa-edit"></i></a>
                                        <a class="btn btn-danger btn-xs confirmationDelete" href="<?php echo admin_url("admin-page=contact-form&act=delete&id={$id}", false); ?>" title="<?php echo __('Delete contact form', 'contactform'); ?>"><i class="fa fa-trash-o"></i></a>
                                    </td>
                                </tr>
                                <?php
                            endforeach;
                        endif;
                        ?>
                    </table>
                </form>
            </div><!---end .panel-body-->
            <div class="panel-footer">
                <div class="row">
                    <div class="col-md-6">
                        <?php echo $pagination->page_lable(); ?>
                    </div>
                    <div class="col-md-6">
                        <div class="pull-right">
                            <?php echo $pagination->page_links($url . '&'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
